#ifndef __MENU_H__
#define __MENU_H__

#include "position.h"
#include "display.h"
#include "input.h"

typedef unsigned int feature;
enum race : int;

class menu final {
private:
        const feature enabled_features;
        position cur;
public:
        menu(const feature enabled_features);
        int run(input *in);
        void print(display *out);
};

#endif
